aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2016-12-23 11:25:27 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-12-23 10:38:38 +0100
commit2f07dfbfd1efd65126d2247b076c10142f7d6696 (patch)
tree462ea103566d4ee8c5bfba5c88d5c3413bff66ce
parent6f6cb8630fbc5953f7e72ae3a681d20b6c345ab8 (diff)
downloadaports-2f07dfbfd1efd65126d2247b076c10142f7d6696.tar.gz
aports-2f07dfbfd1efd65126d2247b076c10142f7d6696.tar.bz2
aports-2f07dfbfd1efd65126d2247b076c10142f7d6696.tar.xz
move unmaintained/sane -> tesing/sane
-rw-r--r--testing/sane/APKBUILD115
-rw-r--r--testing/sane/include.patch11
-rw-r--r--testing/sane/network.patch42
-rw-r--r--testing/sane/pidfile.patch11
-rw-r--r--testing/sane/sane-saned.initd14
-rw-r--r--testing/sane/sane-saned.pre-install5
-rw-r--r--testing/sane/sane.pre-install5
7 files changed, 203 insertions, 0 deletions
diff --git a/testing/sane/APKBUILD b/testing/sane/APKBUILD
new file mode 100644
index 0000000000..a093fefb83
--- /dev/null
+++ b/testing/sane/APKBUILD
@@ -0,0 +1,115 @@
+# Contributor: Fabio Riga <rifabio@dpersonam.me>
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+pkgname=sane
+pkgver=1.0.25
+pkgrel=0
+pkgdesc="Scanner Access Now Easy - an universal scanner interface"
+url="http://www.sane-project.org/"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="libtool libusb-dev v4l-utils-dev net-snmp-dev avahi-dev libjpeg-turbo-dev tiff-dev libgphoto2-dev"
+install="$pkgname-saned.pre-install $pkgname.pre-install"
+pkgusers="saned"
+pkggroups="scanner"
+_backends="abaton agfafocus apple artec artec_eplus48u as6e avision bh canon canon630u canon_dr cardscan
+ coolscan coolscan2 coolscan3 dc25 dc210 dc240 dell1600n_net dmc epjitsu epson epson2 epsonds
+ fujitsu genesys gphoto2 gt68xx hp hp3500 hp3900 hp4200 hp5400 hp5590 hpljm1005 hs2p ibm kodak kodakaio
+ kvs1025 kvs20xx kvs40xx leo lexmark ma1509 magicolor matsushita microtek microtek2 mustek mustek_usb
+ mustek_usb2 nec net niash pie pieusb pixma plustek plustek_pp qcam ricoh rts8891 s9036 sceptre sharp sm3600
+ sm3840 snapscan sp15c st400 stv680 tamarack teco1 teco2 teco3 test u12 umax umax_pp umax1220u xerox_mfp p5"
+_pkgdesc_dell1600n_net="SANE backend for Dell 1600n that supports colour and monochrome scans over ethernet, usb not supported"
+for _backend in $_backends; do
+ subpackages="$subpackages $pkgname-backend-$_backend:_backend"
+done
+subpackages="$pkgname-doc $pkgname-dev $subpackages $pkgname-utils $pkgname-saned"
+source="https://alioth.debian.org/frs/download.php/file/4146/$pkgname-backends-$pkgver.tar.gz
+ $pkgname-saned.initd
+ include.patch
+ network.patch
+ pidfile.patch
+ "
+builddir="$srcdir"/$pkgname-backends-$pkgver
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-docdir=/usr/share/doc/$pkgname \
+ --enable-avahi \
+ --enable-libusb_1_0 \
+ --disable-rpath \
+ --disable-locking \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ echo -n "" > "$pkgdir"/etc/$pkgname.d/dll.conf
+ install -Dm644 backend/dll.aliases "$pkgdir"/etc/$pkgname.d/dll.aliases
+ install -Dm644 tools/udev/lib$pkgname.rules \
+ "$pkgdir"/usr/lib/udev/rules.d/49-$pkgname.rules
+ sed -i 's|NAME="%k", ||g' "$pkgdir"/usr/lib/udev/rules.d/49-$pkgname.rules
+}
+
+saned() {
+ local name=${subpkgname#$pkgname-}
+ pkgdesc="$pkgdesc (network scanner server)"
+ mkdir -p "$subpkgdir"/etc/$pkgname.d "$subpkgdir"/usr
+ mv "$pkgdir"/etc/$pkgname.d/$name.conf "$subpkgdir"/etc/$pkgname.d
+ mv "$pkgdir"/usr/sbin "$subpkgdir"/usr/
+ install -Dm755 "$srcdir"/$pkgname-$name.initd "$subpkgdir"/etc/init.d/$name
+}
+
+utils() {
+ pkgdesc="$pkgdesc (utilities)"
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+ rm -fr "$pkgdir"/usr/share
+}
+
+_backend() {
+ local name=${subpkgname#$pkgname-backend-}
+ depends="$pkgname"
+ pkgdesc=$(eval echo \$_pkgdesc_$name)
+ if [ ! "$pkgdesc" ]; then
+ # cut description from man-page
+ pkgdesc=$(tr '\n' ' ' < "$builddir"/doc/$pkgname-$name.man)
+ pkgdesc=${pkgdesc#*\- }
+ pkgdesc=${pkgdesc%% .SH *};
+ fi
+ mkdir -p "$subpkgdir"/usr/lib/$pkgname \
+ "$subpkgdir"/etc/$pkgname.d/dll.d
+ mv "$pkgdir"/usr/lib/$pkgname/lib$pkgname-$name.* \
+ "$subpkgdir"/usr/lib/$pkgname || return 1
+ echo "$name" > "$subpkgdir"/etc/$pkgname.d/dll.d/$name
+ if [ -f "$pkgdir"/etc/$pkgname.d/$name.conf ]; then
+ mv "$pkgdir"/etc/$pkgname.d/$name.conf \
+ "$subpkgdir"/etc/$pkgname.d
+ fi
+ if [ -f "$pkgdir"/usr/bin/$name ]; then
+ mkdir -p "$subpkgdir"/usr/bin
+ mv "$pkgdir"/usr/bin/$name "$subpkgdir"/usr/bin
+ fi
+}
+
+md5sums="f9ed5405b3c12f07c6ca51ee60225fe7 sane-backends-1.0.25.tar.gz
+042bb035974918365e83568fd3a285df sane-saned.initd
+bc249a3ab2f9cdd12443831b5a999469 include.patch
+9084841146b6d10b957c60594f707937 network.patch
+f266a1ec6db5461e39531acf509738a4 pidfile.patch"
+sha256sums="a4d7ba8d62b2dea702ce76be85699940992daf3f44823ddc128812da33dc6e2c sane-backends-1.0.25.tar.gz
+a3885af89b86b827d491ac67a78321e8bb9d9a05cb652c1a046986217b1e28b0 sane-saned.initd
+4112c9d6a9d7b9a3ac836e02c4617a71c0519451faf1138ee1038db8cc3422df include.patch
+8400ed2fb2109447eb9d4e343e2964ece964ba5999b2eb6553762e9c984092c3 network.patch
+8d81005e5b350b109e186c8fa267f9938a8c35b8bbf353534e99aadd4261da8f pidfile.patch"
+sha512sums="b9548646fff13558a4da4a4e9e8bad730f05121bcc65b72d24ded3bfddc6fe574e08c39c8651544b8fbfeab036fffd76cc14d76ef5d5d47e7513a2ce3afcc9df sane-backends-1.0.25.tar.gz
+0a06eaa28b345202f2bdf8361e06f843bb7a010b7d8f80132f742672c94249c43f64031cefa161e415e2e2ab3a53b23070fb63854283f9e040f5ff79394ac7d1 sane-saned.initd
+1779ff8beb1ba5f9238c25d819a7f0045f7e257c19b511315feb85650e445ca86450a9e1d7ff8650499d3dae808589a6c2e358d5f3f39a3f40ce4999179b86d6 include.patch
+9cb595841f59b5105ecc85e4c0ad8781c52caa2354fb823c920ec467e88afbe47f2b3f4a7a3980bef5dbf22983c5786f051a9d10aea97b4bf7c4a05378592029 network.patch
+09505943f9441854a6c333f19e2535b4a646a8cc060fe82c6261e7d29c72773ebe98d43a91acc951f4336a3c8b4c84ab7c7b0763426136b4b59d9546bc2fa8c0 pidfile.patch"
diff --git a/testing/sane/include.patch b/testing/sane/include.patch
new file mode 100644
index 0000000000..518d3b4d5c
--- /dev/null
+++ b/testing/sane/include.patch
@@ -0,0 +1,11 @@
+--- a/include/sane/sane.h
++++ b/include/sane/sane.h
+@@ -16,6 +16,8 @@
+ #ifndef sane_h
+ #define sane_h
+
++#include <sys/types.h>
++
+ #ifdef __cplusplus
+ extern "C" {
+ #endif
diff --git a/testing/sane/network.patch b/testing/sane/network.patch
new file mode 100644
index 0000000000..4e422e28d2
--- /dev/null
+++ b/testing/sane/network.patch
@@ -0,0 +1,42 @@
+diff --git a/sanei/sanei_tcp.c b/sanei/sanei_tcp.c
+index a57d7c7..d0a1e92 100644
+--- a/sanei/sanei_tcp.c
++++ b/sanei/sanei_tcp.c
+@@ -45,6 +45,7 @@
+ #include <unistd.h>
+ #include <stdlib.h>
+ #include <string.h>
++#include <time.h>
+
+ #ifdef HAVE_WINSOCK2_H
+ #include <winsock2.h>
+@@ -123,14 +124,27 @@ sanei_tcp_write(int fd, const u_char * buf, int count)
+ ssize_t
+ sanei_tcp_read(int fd, u_char * buf, int count)
+ {
+- ssize_t bytes_recv = 0, rc = 1;
++ ssize_t bytes_recv = 0, rc = 1;
++ int retry = 5;
+
+ while (bytes_recv < count && rc > 0)
+ {
+ rc = recv(fd, buf+bytes_recv, count-bytes_recv, 0);
++ DBG(1, "%s: bytes received %d\n", __FUNCTION__, rc);
+ if (rc > 0)
+ bytes_recv += rc;
+-
++ else {
++ if ( errno == EAGAIN && retry-- ) {
++ DBG(1, "%s: waiting %d\n", __FUNCTION__, retry);
++ /* wait for max 1s */
++ struct timespec req;
++ struct timespec rem;
++ req.tv_sec = 0;
++ req.tv_nsec= 100000000;
++ nanosleep(&req, &rem);
++ rc = 1;
++ }
++ }
+ }
+ return bytes_recv;
+ }
diff --git a/testing/sane/pidfile.patch b/testing/sane/pidfile.patch
new file mode 100644
index 0000000000..457755bdb8
--- /dev/null
+++ b/testing/sane/pidfile.patch
@@ -0,0 +1,11 @@
+--- a/frontend/saned.c
++++ b/frontend/saned.c
+@@ -224,7 +224,7 @@
+ int numchildren;
+
+ #define SANED_CONFIG_FILE "saned.conf"
+-#define SANED_PID_FILE "/var/run/saned.pid"
++#define SANED_PID_FILE "/run/saned/saned.pid"
+
+ #define SANED_SERVICE_NAME "sane-port"
+ #define SANED_SERVICE_PORT 6566
diff --git a/testing/sane/sane-saned.initd b/testing/sane/sane-saned.initd
new file mode 100644
index 0000000000..6482073ef4
--- /dev/null
+++ b/testing/sane/sane-saned.initd
@@ -0,0 +1,14 @@
+#!/sbin/openrc-run
+
+description="SANE network scanner server"
+
+owner=saned
+pidfile=/run/saned/saned.pid
+cfgfile=/etc/sane.d/saned.conf
+command=/usr/sbin/saned
+command_args="-a $owner"
+required_files="$cfgfile"
+
+start_pre() {
+ checkpath -dm755 -o $owner ${pidfile%/*}
+}
diff --git a/testing/sane/sane-saned.pre-install b/testing/sane/sane-saned.pre-install
new file mode 100644
index 0000000000..caad990d96
--- /dev/null
+++ b/testing/sane/sane-saned.pre-install
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+adduser -SDH -h /run/saned -s /sbin/nologin -G scanner -g saned saned 2>/dev/null
+
+exit 0
diff --git a/testing/sane/sane.pre-install b/testing/sane/sane.pre-install
new file mode 100644
index 0000000000..b75c867de9
--- /dev/null
+++ b/testing/sane/sane.pre-install
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+addgroup -S scanner 2>/dev/null
+
+exit 0